Get Service Plan Visibility
Get a service plan visibility
This endpoint retrieves the service plan visibility for a given plan.
Request
URI
GET
https://api.example.local/v3/service_plans/{guid}/visibility
COPY
Path Parameters
string
guid
Required
The unique identifier for the resource
Responses
200
OK
Returns
ServicePlanVisibility
of type(s)
application/json
{
"type": "string",
"organizations": [
{
"guid": "string",
"name": "string"
}
]
}
string
type
Required
Type of visibility
Possible values are :
public,
admin,
organization,
space,
array of
object
organizations
Optional
Organizations that have visibility to this service plan
401
Unauthorized
Returns
Unauthorized
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
403
Forbidden
Returns
Forbidden
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
404
Not Found
Returns
NotFound
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/v3/service_plans/{guid}/visibility
Service Plans Operations
GET
List Service Plans
POST
Create Service Plan
GET
Get Service Plan
PATCH
Update Service Plan
DELETE
Delete Service Plan
GET
Get Service Plan Visibility
PATCH
Update Service Plan Visibility
POST
Apply Service Plan Visibility
DELETE
Remove Organization From Service Plan Visibility
GET
List Service Plan Definitions
GET
Get Service Plan Definition
PATCH
Update Service Plan Definition
DELETE
Delete Service Plan Definition